# Chookpen Client (CLI)

This is the reference client for Chookpen. It is quite a basic client. This is a good starting point if you need an example, or are building a GUI Kotlin client.

## Features

* Profile file
* Create account (buggy)
* Log into existing account
* Sync messages
* Send message
* Auto hash password
* Configure whether HTTPS is used

## Documentation

To run this client, do the following:

1. Install Java 17+ and Gradle.
2. `git clone https://git.maxwellj.xyz/max/chookpen`
3. In the client-cli directory of the git repo, run `gradle installDist`.
5. Inside build/install/bin, create a .chookpen.profile file that looks like this: ```name:password:server:port:0```
6. Run the script in build/install/bin, or the bat file if you're a crazy weird guy who uses Windows (Make sure to use the command line otherwise it'll close instantly)
7. If you'd like to send a message, add that as your argument after specifying the script.

Note: The password in .chookpen.profile is hashed by the client. If you're just testing the server, set your password to `dingus`. The hash recognised by the server for that password is `750c63441033127dccaa91c16b21614e`. Create an account with the method specified in the root README using that password.